openssl_missing.h File Reference

Go to the source code of this file.

## Macros

#define | PEM_read_bio_DSAPublicKey(bp, x, cb, u)
#define | PEM_write_bio_DSAPublicKey(bp, x)
#define | DSAPrivateKey_dup(dsa)
#define | DSAPublicKey_dup(dsa)
#define | X509_REVOKED_dup(rev)
#define | PKCS7_SIGNER_INFO_dup(si)
#define | PKCS7_RECIP_INFO_dup(ri)
#define | EVP_DigestInit_ex(ctx, md, engine) EVP_DigestInit((ctx), (md))
#define | EVP_DigestFinal_ex(ctx, buf, len) EVP_DigestFinal((ctx), (buf), (len))
#define | EVP_CipherInit_ex(ctx, type, impl, key, iv, enc) EVP_CipherInit((ctx), (type), (key), (iv), (enc))
#define | EVP_CipherFinal_ex(ctx, outm, outl) EVP_CipherFinal((ctx), (outm), (outl))
#define | EVP_CIPHER_name(e) OBJ_nid2sn(EVP_CIPHER_nid(e))
#define | EVP_MD_name(e) OBJ_nid2sn(EVP_MD_type(e))
#define | HMAC_Init_ex(ctx, key, len, digest, engine) HMAC_Init((ctx), (key), (len), (digest))
#define | PKCS7_is_detached(p7) (PKCS7_type_is_signed(p7) && PKCS7_get_detached(p7))
#define | PKCS7_type_is_encrypted(a) (OBJ_obj2nid((a)->type) == NID_pkcs7_encrypted)
#define | OPENSSL_cleanse(p, l) memset((p), 0, (l))

## Typedefs

typedef char * | d2i_of_void ()
typedef int | i2d_of_void ()

## Functions

void | HMAC_CTX_init (HMAC_CTX *ctx)
void | HMAC_CTX_copy (HMAC_CTX *out, HMAC_CTX *in)
void | HMAC_CTX_cleanup (HMAC_CTX *ctx)
EVP_MD_CTX * | EVP_MD_CTX_create (void)
void | EVP_MD_CTX_init (EVP_MD_CTX *ctx)
int | EVP_MD_CTX_cleanup (EVP_MD_CTX *ctx)
void | EVP_MD_CTX_destroy (EVP_MD_CTX *ctx)
int | EVP_CIPHER_CTX_copy (EVP_CIPHER_CTX *out, EVP_CIPHER_CTX *in)
void * | X509_STORE_get_ex_data (X509_STORE *str, int idx)
int | X509_STORE_set_ex_data (X509_STORE *str, int idx, void *data)
int | X509_CRL_set_version (X509_CRL *x, long version)
int | X509_CRL_set_issuer_name (X509_CRL *x, X509_NAME *name)
int | X509_CRL_sort (X509_CRL *c)
int | X509_CRL_add0_revoked (X509_CRL *crl, X509_REVOKED *rev)
int | BN_mod_sqr (BIGNUM *r, const BIGNUM *a, const BIGNUM *m, BN_CTX *ctx)
int | BN_mod_add (BIGNUM *r, const BIGNUM *a, const BIGNUM *b, const BIGNUM *m, BN_CTX *ctx)
int | BN_mod_sub (BIGNUM *r, const BIGNUM *a, const BIGNUM *b, const BIGNUM *m, BN_CTX *ctx)
int | BN_rand_range (BIGNUM *r, BIGNUM *range)
int | BN_pseudo_rand_range (BIGNUM *r, BIGNUM *range)
char * | CONF_get1_default_config_file (void)
int | PEM_def_callback (char *buf, int num, int w, void *key)
int | ASN1_put_eoc (unsigned char **pp)

## Macro Definition Documentation

#define DSAPrivateKey_dup | ( |  | dsa | ) |

Value:
(DSA *)ASN1_dup((i2d_of_void *)i2d_DSAPrivateKey, \
(d2i_of_void *)d2i_DSAPrivateKey,(char *)(dsa))

Definition at line 42 of file openssl_missing.h.

#define DSAPublicKey_dup | ( |  | dsa | ) |

Value:
(DSA *)ASN1_dup((i2d_of_void *)i2d_DSAPublicKey, \
(d2i_of_void *)d2i_DSAPublicKey,(char *)(dsa))

Definition at line 47 of file openssl_missing.h.

Referenced by ossl_dsa_to_public_key().

#define EVP_CIPHER_name | ( |  | e | ) | OBJ_nid2sn(EVP_CIPHER_nid(e))

Definition at line 113 of file openssl_missing.h.

Referenced by ossl_cipher_name().

#define EVP_CipherFinal_ex | ( |  | ctx,
|  |  | outm,
|  |  | outl
| ) |  | EVP_CipherFinal((ctx), (outm), (outl))

Definition at line 109 of file openssl_missing.h.

Referenced by ossl_cipher_final().

#define EVP_CipherInit_ex | ( |  | ctx,
|  |  | type,
|  |  | impl,
|  |  | key,
|  |  | iv,
|  |  | enc
| ) |  | EVP_CipherInit((ctx), (type), (key), (iv), (enc))

Definition at line 106 of file openssl_missing.h.

Referenced by ossl_cipher_init(), ossl_cipher_initialize(), ossl_cipher_new(), ossl_cipher_pkcs5_keyivgen(), ossl_cipher_reset(), ossl_cipher_set_iv(), and ossl_cipher_set_key().

#define EVP_DigestFinal_ex | ( |  | ctx,
|  |  | buf,
|  |  | len
| ) |  | EVP_DigestFinal((ctx), (buf), (len))

Definition at line 102 of file openssl_missing.h.

Referenced by ossl_digest_finish().

#define EVP_DigestInit_ex | ( |  | ctx,
|  |  | md,
|  |  | engine
| ) |  | EVP_DigestInit((ctx), (md))

Definition at line 99 of file openssl_missing.h.

Referenced by ossl_digest_initialize(), ossl_digest_new(), and ossl_digest_reset().

#define EVP_MD_name | ( |  | e | ) | OBJ_nid2sn(EVP_MD_type(e))

Definition at line 117 of file openssl_missing.h.

Referenced by ossl_digest_name().

#define HMAC_Init_ex | ( |  | ctx,
|  |  | key,
|  |  | len,
|  |  | digest,
|  |  | engine
| ) |  | HMAC_Init((ctx), (key), (len), (digest))

Definition at line 121 of file openssl_missing.h.

#define OPENSSL_cleanse | ( |  | p,
|  |  | l
| ) |  | memset((p), 0, (l))

Definition at line 133 of file openssl_missing.h.

Referenced by ossl_cipher_pkcs5_keyivgen().

#define PEM_read_bio_DSAPublicKey | ( |  | bp,
|  |  | x,
|  |  | cb,
|  |  | u
| ) |  |

Value:
(DSA *)PEM_ASN1_read_bio( \
(d2i_of_void *)d2i_DSAPublicKey,PEM_STRING_DSA_PUBLIC,(bp),(void **)(x),(cb),(u))

Definition at line 30 of file openssl_missing.h.

Referenced by ossl_dsa_initialize().

#define PEM_write_bio_DSAPublicKey | ( |  | bp,
|  |  | x
| ) |  |

Value:
PEM_ASN1_write_bio((i2d_of_void *)i2d_DSAPublicKey,\
PEM_STRING_DSA_PUBLIC,\
(bp),(char *)(x), NULL, NULL, 0, NULL, NULL)

Definition at line 35 of file openssl_missing.h.

#define PKCS7_is_detached | ( |  | p7 | ) | (PKCS7_type_is_signed(p7) && PKCS7_get_detached(p7))

Definition at line 125 of file openssl_missing.h.

Referenced by ossl_pkcs7_detached_p(), and ossl_pkcs7_s_write_smime().

#define PKCS7_RECIP_INFO_dup | ( |  | ri | ) |

Value:
(PKCS7_RECIP_INFO *)ASN1_dup((i2d_of_void *)i2d_PKCS7_RECIP_INFO, \
(d2i_of_void *)d2i_PKCS7_RECIP_INFO, (char *)(ri))

Definition at line 62 of file openssl_missing.h.

Referenced by DupPKCS7RecipientPtr(), and ossl_pkcs7ri_new().

#define PKCS7_SIGNER_INFO_dup | ( |  | si | ) |

Value:
(PKCS7_SIGNER_INFO *)ASN1_dup((i2d_of_void *)i2d_PKCS7_SIGNER_INFO, \
(d2i_of_void *)d2i_PKCS7_SIGNER_INFO, (char *)(si))

Definition at line 57 of file openssl_missing.h.

Referenced by DupPKCS7SignerPtr(), and ossl_pkcs7si_new().

#define PKCS7_type_is_encrypted | ( |  | a | ) | (OBJ_obj2nid((a)->type) == NID_pkcs7_encrypted)

Definition at line 129 of file openssl_missing.h.

Referenced by ossl_pkcs7_get_type().

#define X509_REVOKED_dup | ( |  | rev | ) |

Value:
(X509_REVOKED *)ASN1_dup((i2d_of_void *)i2d_X509_REVOKED, \
(d2i_of_void *)d2i_X509_REVOKED, (char *)(rev))

Definition at line 52 of file openssl_missing.h.

Referenced by DupX509RevokedPtr(), and ossl_x509revoked_new().

## Typedef Documentation

typedef char* d2i_of_void()

Definition at line 19 of file openssl_missing.h.

typedef int i2d_of_void()

Definition at line 22 of file openssl_missing.h.

## Function Documentation

int ASN1_put_eoc | ( | unsigned char ** | pp | ) |

Definition at line 347 of file openssl_missing.c.

References p.

Referenced by ossl_asn1cons_to_der().

int BN_mod_add | ( | BIGNUM * | r,
|  | const BIGNUM * | a,
|  | const BIGNUM * | b,
|  | const BIGNUM * | m,
|  | BN_CTX * | ctx
| ) |  |

Definition at line 219 of file openssl_missing.c.

References BN_nnmod().

int BN_mod_sqr | ( | BIGNUM * | r,
|  | const BIGNUM * | a,
|  | const BIGNUM * | m,
|  | BN_CTX * | ctx
| ) |  |

Definition at line 201 of file openssl_missing.c.

int BN_mod_sub | ( | BIGNUM * | r,
|  | const BIGNUM * | a,
|  | const BIGNUM * | b,
|  | const BIGNUM * | m,
|  | BN_CTX * | ctx
| ) |  |

Definition at line 228 of file openssl_missing.c.

References BN_nnmod().

int BN_pseudo_rand_range | ( | BIGNUM * | r,
|  | BIGNUM * | range
| ) |  |

Definition at line 277 of file openssl_missing.c.

References bn_rand_range().

int BN_rand_range | ( | BIGNUM * | r,
|  | BIGNUM * | range
| ) |  |

Definition at line 269 of file openssl_missing.c.

References bn_rand_range().

char* CONF_get1_default_config_file | ( | void |  | ) |

Definition at line 286 of file openssl_missing.c.

References getenv(), len, NULL, OPENSSL_CONF, and strlen().

Referenced by Init_ossl_config().

int EVP_CIPHER_CTX_copy | ( | EVP_CIPHER_CTX * | out,
|  | EVP_CIPHER_CTX * | in
| ) |  |

Definition at line 121 of file openssl_missing.c.

Referenced by ossl_cipher_copy().

int EVP_MD_CTX_cleanup | ( | EVP_MD_CTX * | ctx | ) |

Definition at line 67 of file openssl_missing.c.

Referenced by EVP_MD_CTX_destroy(), and HMAC_CTX_cleanup().

EVP_MD_CTX* EVP_MD_CTX_create | ( | void |  | ) |

Definition at line 54 of file openssl_missing.c.

References NULL.

Referenced by ossl_digest_alloc().

void EVP_MD_CTX_destroy | ( | EVP_MD_CTX * | ctx | ) |

Definition at line 78 of file openssl_missing.c.

References EVP_MD_CTX_cleanup().

Referenced by ossl_digest_alloc().

void EVP_MD_CTX_init | ( | EVP_MD_CTX * | ctx | ) |

Definition at line 87 of file openssl_missing.c.

Referenced by HMAC_CTX_init().

void HMAC_CTX_cleanup | ( | HMAC_CTX * | ctx | ) |

Definition at line 105 of file openssl_missing.c.

References EVP_MD_CTX_cleanup().

Referenced by hmac_final(), and ossl_hmac_free().

void HMAC_CTX_copy | ( | HMAC_CTX * | out,
|  | HMAC_CTX * | in
| ) |  |

Definition at line 26 of file openssl_missing.c.

Referenced by hmac_final(), and ossl_hmac_copy().

void HMAC_CTX_init | ( | HMAC_CTX * | ctx | ) |

Definition at line 95 of file openssl_missing.c.

References EVP_MD_CTX_init().

Referenced by ossl_hmac_alloc().

int PEM_def_callback | ( | char * | buf,
|  | int | num,
|  | int | w,
|  | void * | key
| ) |  |

Definition at line 313 of file openssl_missing.c.

References i, NULL, OSSL_PASS_MIN_LENGTH, and strlen().

Referenced by ossl_pem_passwd_cb().

int X509_CRL_add0_revoked | ( | X509_CRL * | crl,
|  | X509_REVOKED * | rev
| ) |  |

Definition at line 186 of file openssl_missing.c.

References inf(), and OSSL_X509_REVOKED_cmp().

Referenced by ossl_x509crl_add_revoked(), and ossl_x509crl_set_revoked().

int X509_CRL_set_issuer_name | ( | X509_CRL * | x,
|  | X509_NAME * | name
| ) |  |

Definition at line 152 of file openssl_missing.c.

References NULL.

Referenced by ossl_x509crl_set_issuer().

int X509_CRL_set_version | ( | X509_CRL * | x,
|  | long | version
| ) |  |

Definition at line 139 of file openssl_missing.c.

References NULL.

Referenced by ossl_x509crl_set_version().

int X509_CRL_sort | ( | X509_CRL * | c | ) |

Definition at line 161 of file openssl_missing.c.

References i.

Referenced by ossl_x509crl_add_revoked(), and ossl_x509crl_set_revoked().

void* X509_STORE_get_ex_data | ( | X509_STORE * | str,
|  | int | idx
| ) |  |

Definition at line 46 of file openssl_missing.c.

Referenced by ossl_verify_cb().

int X509_STORE_set_ex_data | ( | X509_STORE * | str,
|  | int | idx,
|  | void * | data
| ) |  |

Definition at line 39 of file openssl_missing.c.

Referenced by ossl_x509store_set_vfy_cb().